<template>
	<view class="page-theme" :class="'page-theme-'+theme"
		:style="isflex?'height:100%;display:flex;flex-direction:column;':''">
		<slot></slot>
	</view>
</template>

<script>
	export default {
		props: ['theme','isflex'],
		data() {
			return {};
		},
		watch: {},
		mounted() {},
		onReady() {},
		methods: {}
	}
</script>

<style scoped lang="scss">
	.page-theme {
		width: 100%;
		min-height: 100%;
		overflow-x: hidden;
	}
</style>
